Products

Delete Product

Soft-delete an existing trade product. Only products belonging to the organization associated with the API key can be deleted.

DELETE
/v1/products/{productId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Path Parameters

productId?number

The unique identifier of the product

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/products/{productId}"
{  "message": "Product deleted successfully"}
{  "success": false,  "message": "Invalid or expired token",  "error": {    "status": 401,    "message": "Invalid or expired token"  }}
{  "success": false,  "message": "Not found",  "error": {    "status": 404,    "message": "Not found"  }}
{  "success": false,  "message": "Internal server error",  "error": {    "status": 500,    "message": "Internal server error"  }}